org.wildfly.swarm.microprofile.openapi.api.models.media

## Class DiscriminatorImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.media.DiscriminatorImpl

- All Implemented Interfaces:
    ModelImpl

      public class DiscriminatorImpl
      extends Object
      implements ModelImpl

  An implementation of the `Discriminator` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscriminatorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Discriminator` | `addMapping(String name, String value)`
    `Map<String,String>` | `getMapping()`
    `String` | `getPropertyName()`
    `Discriminator` | `mapping(Map<String,String> mapping)`
    `Discriminator` | `propertyName(String propertyName)`
    `void` | `setMapping(Map<String,String> mapping)`
    `void` | `setPropertyName(String propertyName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscriminatorImpl

          public DiscriminatorImpl()

  - ### Method Detail

    - #### propertyName

          public Discriminator propertyName(String propertyName)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Discriminator#propertyName(java.lang.String)`

    - #### getPropertyName

          public String getPropertyName()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Discriminator#getPropertyName()`

    - #### setPropertyName

          public void setPropertyName(String propertyName)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Discriminator#setPropertyName(java.lang.String)`

    - #### addMapping

          public Discriminator addMapping(String name,
                                          String value)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Discriminator#addMapping(java.lang.String, java.lang.String)`

    - #### mapping

          public Discriminator mapping(Map<String,String> mapping)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Discriminator#mapping(java.util.Map)`

    - #### getMapping

          public Map<String,String> getMapping()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Discriminator#getMapping()`

    - #### setMapping

          public void setMapping(Map<String,String> mapping)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Discriminator#setMapping(java.util.Map)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.